package com.lightinit.hsdataplatformresdir.entity;

import java.util.Date;

public class Resource {
    private Long id;

    private String resourceType;

    private String resourceState;

    private String resourceName;

    private String resourceIdentity;

    private String resourceSummary;

    private Date registerDate;

    private String catelogType;

    private Long catelogBasic;

    private Long catelogSector;

    private Long catelogTheme;

    private Long catelogCustom;

    private String shareType;

    private String openType;

    private Byte allowDeal;

    private Long auditedBy;

    private Date auditedAt;

    private String auditResult;

    private String auditOpinion;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    private String outId1;

    private String outId2;

    private String outId3;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType == null ? null : resourceType.trim();
    }

    public String getResourceState() {
        return resourceState;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState == null ? null : resourceState.trim();
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName == null ? null : resourceName.trim();
    }

    public String getResourceIdentity() {
        return resourceIdentity;
    }

    public void setResourceIdentity(String resourceIdentity) {
        this.resourceIdentity = resourceIdentity == null ? null : resourceIdentity.trim();
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary == null ? null : resourceSummary.trim();
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType == null ? null : catelogType.trim();
    }

    public Long getCatelogBasic() {
        return catelogBasic;
    }

    public void setCatelogBasic(Long catelogBasic) {
        this.catelogBasic = catelogBasic;
    }

    public Long getCatelogSector() {
        return catelogSector;
    }

    public void setCatelogSector(Long catelogSector) {
        this.catelogSector = catelogSector;
    }

    public Long getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(Long catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public Long getCatelogCustom() {
        return catelogCustom;
    }

    public void setCatelogCustom(Long catelogCustom) {
        this.catelogCustom = catelogCustom;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType == null ? null : shareType.trim();
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType == null ? null : openType.trim();
    }

    public Byte getAllowDeal() {
        return allowDeal;
    }

    public void setAllowDeal(Byte allowDeal) {
        this.allowDeal = allowDeal;
    }

    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult == null ? null : auditResult.trim();
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion == null ? null : auditOpinion.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }

    public String getOutId1() {
        return outId1;
    }

    public void setOutId1(String outId1) {
        this.outId1 = outId1 == null ? null : outId1.trim();
    }

    public String getOutId2() {
        return outId2;
    }

    public void setOutId2(String outId2) {
        this.outId2 = outId2 == null ? null : outId2.trim();
    }

    public String getOutId3() {
        return outId3;
    }

    public void setOutId3(String outId3) {
        this.outId3 = outId3 == null ? null : outId3.trim();
    }
}